com.fasterxml.jackson.databind.util

## Class ByteBufferBackedOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - com.fasterxml.jackson.databind.util.ByteBufferBackedOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class ByteBufferBackedOutputStream
      extends java.io.OutputStream

  Simple `OutputStream` implementation that appends content written in given `ByteBuffer` instance.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.nio.ByteBuffer` | `_b`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteBufferBackedOutputStream(java.nio.ByteBuffer buf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(byte[] bytes, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _b

          protected final java.nio.ByteBuffer _b

  - ### Constructor Detail

    - #### ByteBufferBackedOutputStream

          public ByteBufferBackedOutputStream(java.nio.ByteBuffer buf)

  - ### Method Detail

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Specified by:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] bytes,
                   int off,
                   int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`